Trades
curl --request GET \
--url https://api.bebop.xyz/history/v2/trades \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bebop.xyz/history/v2/trades"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bebop.xyz/history/v2/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"chain_id": 123,
"txHash": "<string>",
"status": "<string>",
"type": "<string>",
"taker": "<string>",
"receiver": "<string>",
"sellTokens": {},
"buyTokens": {},
"timestamp": "<string>",
"gasless": true,
"volumeUsd": 123,
"gasFeeUsd": 123,
"partnerFeeNative": "<string>",
"partnerFeeBps": "<string>"
}
],
"metadata": {
"timestamp": "<string>",
"tokens": {},
"results": 123
},
"nextAvailableTimestamp": "<string>"
}{
"error": {
"errorCode": 123,
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"errorCode": 123,
"message": "<string>"
}
}API Reference
Trades
Retrieve trade history for a wallet address or partner source within a given time range. Returns trade details with token metadata and pricing.
GET
/
v2
/
trades
Trades
Authorizations
API key passed as a Bearer token.
Query Parameters
Wallet address for which to fetch trade history
Start date for trades (UNIX timestamp in nanoseconds)
End date for trades (UNIX timestamp in nanoseconds)
Number of entries returned per chain
Was this page helpful?
⌘I